Subject: RE: UTF-8

From: Jeffrey Altman <[email-masked]>
Date: Fri, 9 Nov 2001 18:00:17 EST

> I know this assumption is dangerous, but if everything was a 7-bit
> US-ASCII string encoded in a 8-bit octet, it would seem to me that most
> implementations would use a simple comparison routine (like strcmp in
> POSIX).  This routine should work for basic UTF-8 strings as well.  I
> know there are edge cases where two glyphs can have two different
> encodings, but I would think that is rare.  The UNICODE standard gives
> advice on how to best deal with this.
> 
> cfs

If everything was 7-bit US-ASCII then UTF-8 and US-ASCII would be
identical.

The problem is that not all implementations are 7-bit US-ASCII.

 Jeffrey Altman * Sr.Software Designer      C-Kermit 8.0 Beta available
 The Kermit Project @ Columbia University   includes Secure Telnet and FTP
 http://www.kermit-project.org/             using Kerberos, SRP, and 
 [email-masked]          OpenSSL.  SSH soon to follow.